# molecule

[![Build Status](https://drone.rknet.org/api/badges/docker/molecule/status.svg)](https://drone.rknet.org/docker/molecule/)
[![](https://images.microbadger.com/badges/image/xoxys/molecule.svg)](https://microbadger.com/images/xoxys/molecule "Get your own image badge on microbadger.com")

Docker image to automate Ansible deployment tests with Molecule. The image was build to use with any docker based CI system. Currently the image is only available for the Google Compute Engine (GCE) backend of Molecule.

## Environment variables

`GCE_SSH_KEY`
ssh key to authenticate to your GCE project vms

`GCE_CREDENTIALS_JSON`
json file which holds your credentials to talk to the GCE api (must be generetade and exportet in GCE web console)

`GCE_CREDENTIALS_FILE`
path to the cretendtials file inside the container to write your $GCE_CREDENTIALS_JSON to

`MOLECULE_CUSTOM_MODULES_REPO`
if you use custom modules you can specify a git repo containing these files. The repo will be cloned so ansible can use it
